## Index

### Functions

- getAllowance
- getBalance
- getBlock
- getBlockHeight
- getBlockHeightByTxHash
- getBlockJson
- getContract
- getContractJson
- getGenerateBlockTime
- getMerkleProof
- getNodeCount
- getRawTransaction
- getRawTransactionJson
- getSmartCodeEvent
- getStorage
- sendHeartBeat
- sendRawTransaction
- sendSubscribe

## Functions

### getAllowance

- getAllowance(asset: string, from: Address, to: Address): string

- - Defined in network/websocket/websocketBuilder.ts:219

  #### Parameters

  - ##### asset: string

  - ##### from: Address

  - ##### to: Address

  #### Returns string

### getBalance

- getBalance(address: Address): string

- - Defined in network/websocket/websocketBuilder.ts:144

  #### Parameters

  - ##### address: Address

  #### Returns string

### getBlock

- getBlock(value: number | string): string

- - Defined in network/websocket/websocketBuilder.ts:106

  #### Parameters

  - ##### value: number | string

  #### Returns string

### getBlockHeight

- getBlockHeight(): string

- - Defined in network/websocket/websocketBuilder.ts:98

  #### Returns string

### getBlockHeightByTxHash

- getBlockHeightByTxHash(hash: string): string

- - Defined in network/websocket/websocketBuilder.ts:191

  #### Parameters

  - ##### hash: string

  #### Returns string

### getBlockJson

- getBlockJson(value: number | string): string

- - Defined in network/websocket/websocketBuilder.ts:126

  #### Parameters

  - ##### value: number | string

  #### Returns string

### getContract

- getContract(hash: string): string

- - Defined in network/websocket/websocketBuilder.ts:153

  #### Parameters

  - ##### hash: string

  #### Returns string

### getContractJson

- getContractJson(hash: string): string

- - Defined in network/websocket/websocketBuilder.ts:163

  #### Parameters

  - ##### hash: string

  #### Returns string

### getGenerateBlockTime

- getGenerateBlockTime(): string

- - Defined in network/websocket/websocketBuilder.ts:82

  #### Returns string

### getMerkleProof

- getMerkleProof(hash: string): string

- - Defined in network/websocket/websocketBuilder.ts:210

  #### Parameters

  - ##### hash: string

  #### Returns string

### getNodeCount

- getNodeCount(): string

- - Defined in network/websocket/websocketBuilder.ts:90

  #### Returns string

### getRawTransaction

- getRawTransaction(txHash: string): string

- - Defined in network/websocket/websocketBuilder.ts:62

  #### Parameters

  - ##### txHash: string

  #### Returns string

### getRawTransactionJson

- getRawTransactionJson(txHash: string): string

- - Defined in network/websocket/websocketBuilder.ts:72

  #### Parameters

  - ##### txHash: string

  #### Returns string

### getSmartCodeEvent

- getSmartCodeEvent(value: number | string): string

- - Defined in network/websocket/websocketBuilder.ts:173

  #### Parameters

  - ##### value: number | string

  #### Returns string

### getStorage

- getStorage(codeHash: string, key: string): string

- - Defined in network/websocket/websocketBuilder.ts:200

  #### Parameters

  - ##### codeHash: string

  - ##### key: string

  #### Returns string

### sendHeartBeat

- sendHeartBeat(): string

- - Defined in network/websocket/websocketBuilder.ts:25

  #### Returns string

### sendRawTransaction

- sendRawTransaction(hexData: string, preExec?: boolean): string

- - Defined in network/websocket/websocketBuilder.ts:50

  #### Parameters

  - ##### hexData: string

  - ##### Default value preExec: boolean = false

  #### Returns string

### sendSubscribe

- sendSubscribe(subscribeEvent?: boolean, subscribeJsonBlock?: boolean, subscribeRawBlock?: boolean, subscribeBlockTxHashes?: boolean): string

- - Defined in network/websocket/websocketBuilder.ts:33

  #### Parameters

  - ##### Default value subscribeEvent: boolean = false

  - ##### Default value subscribeJsonBlock: boolean = false

  - ##### Default value subscribeRawBlock: boolean = false

  - ##### Default value subscribeBlockTxHashes: boolean = false

  #### Returns string

Generated using TypeDoc